Package org.eclipse.birt.report.model.api.metadata

# Interface IStructureDefn

All Superinterfaces:
  `IObjectDefn`

public interface IStructureDefn extends IObjectDefn
Interface for the definition of a property structure: an object that is "managed" by the model to allow generic member access and undo/redo support for updates.

## Method Summary

Modifier and Type
Method
Description
`IPropertyDefn`
`getMember(String name)`
Gets a structure member by name.

### Methods inherited from interface org.eclipse.birt.report.model.api.metadata.IObjectDefn

`findProperty, getDisplayName, getDisplayNameKey, getName, getPropertyIterator, propertiesIterator`

## Method Details

### getMember

IPropertyDefn getMember(String name)
Gets a structure member by name.

Parameters:
  `name` - the name of the member to fine
Returns:
  the member definition, or null if the member was not found